void ShowDoc(String s)
{
  s = LMWorkDir() + "manuals\\" + s;
  int error = ShellExecute(GetDesktopWindow(), "open", s, "", "", SW_SHOWNORMAL);
  if( error <= 32 )
    LMShowMessage("   : " + s + " [" + IntToStr(error) + "]");
}

void RunHelpGroupBrokeTime(TMonText Sender)
{
  ShowDoc("_____.doc");
}

void RunHelpGroupLog(TMonText Sender)
{
  ShowDoc("____.doc");
}

void RunHelpVarParam(TMonText Sender)
{
  ShowDoc("____.doc");
}

void RunHelpGroupVarParam(TMonText Sender)
{
  ShowDoc("_____.doc");
}

void RunHelpGroupEditor(TMonText Sender)
{
  ShowDoc("_.doc");
}

void RunReportGroupValuesLast(TMonText Sender)
{
  RunReport("report_group_log_last.fr3");
}

void RunReportGroupLog(TMonText Sender)
{
  RunReport("report_group_log.fr3");
}

void RunReportGroupStay(TMonText Sender)
{
  RunReport("report_group_stay.fr3");
}

void RunReportVarParamMain(TMonText Sender)
{
  RunReport("ReportVarParamMain.fr3");
}

void RunGroupEditor(TMonText Sender)
{
  RunReport("group_editor.fr3");
}

void RunReport(string name)
{
  if( frBusy() )
  {
    LMShowMessage("  :       !", clRed);
  }
  else
  {
    if( frLoad(name)==0 )
    {
      ShowMessage("  : " + name);
      return;
    }
    if( frPrepare(1)==1 )
    {
      LMShowMessage("");
      frShowPrepared();
    }
  }
}

//     main()
{
}
